> ## Documentation Index
> Fetch the complete documentation index at: https://docs.penbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Form Template Steps

> Retrieve the form steps/structure for a specific form template.

Retrieve the form steps/structure for a specific form template.

<Tip>
  Use this endpoint to understand the structure of a form template before creating forms, or to build a custom form UI.
</Tip>


## OpenAPI

````yaml GET /form_templates/{slug}/steps
openapi: 3.0.0
info:
  title: Penbox API
  version: '1.0'
  description: >-
    The Penbox API provides programmatic access to Penbox's form management,
    case management, and document processing capabilities. Authenticate using
    Bearer tokens created at https://app.penbox.io/workspace/settings/api
servers:
  - url: https://connect.penbox.io/v1
    description: Production
  - url: https://connect.aiboov.com/v1
    description: Staging
security:
  - BearerAuth: []
paths:
  /form_templates/{slug}/steps:
    get:
      summary: Get Form Template Steps
      description: Retrieve the form steps/structure for a specific form template.
      operationId: get-form-template-steps
      parameters:
        - name: slug
          in: path
          required: true
          description: Flow slug identifier
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                description: Array of step objects
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      description: Step identifier
                    title:
                      type: string
                      description: Step title
                    description:
                      type: string
                      description: Step description
                    elements:
                      type: array
                      description: Form elements in this step
                      items:
                        type: object
                        properties:
                          key:
                            type: string
                            description: Element key
                          type:
                            type: string
                            description: Element type (e.g., text, email, file)
                          label:
                            type: string
                            description: Element label
                          required:
                            type: boolean
                            description: Whether element is required
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: token
      description: >-
        API token (starts with pnbx_). Create at
        https://app.penbox.io/workspace/settings/api. Include as: Authorization:
        Bearer {token}

````